View Single Post
  #32  
Old 03-23-2015, 01:30 PM
  cflsystems's Avatar 
cflsystems cflsystems is offline
 

Veteran
  
Join Date: Apr 2007
Posts: 13,944
 

Default Re: Updated X-Cart 4.x connector for X-Payments

Quote:
Originally Posted by ambal
Hi Everyone,

We've updated XC4 line of connectors again. See https://drive.google.com/a/x-cart.com/folderview?id=0B6p7sehSZL8_akhxR0VwQ0dta2M&usp=dri ve_web#list

Bug-fixes mostly plus made them up to date with X-Payments connector we included in the upcoming 4.7.0.

Install it, it broke the store. Now client is getting "Unable to process payment because cart content has changed. Try to restart checkout."
Their subscription X-Payments has been upgraded to latest as far as I know. So something is amiss there with the connector.

EDIT: It seems the issue was in using AC OPC - looks like the new X-Payments and Connector changes break this checkout, the cart takes orders with the built-in OPC.

And found this by accident which is included in the upgrade
PHP Code:
+        // Current API version is not supported, try to downgrade it
+        $_version_array explode('.'$config['XPayments_Connector']['xpc_api_version']);
+        if (
$_version_array[1] > 0) {
+            
$_version_array[1]--;
+        } else {
+            
$_version_array[1] = 9;
+            
$_version_array[0]--;
+        }
+        
$config['XPayments_Connector']['xpc_api_version'] = implode('.'$_version_array); 

The "else" portion will never run, why is there like this?
__________________
Steve Stoyanov
CFLSystems.com
Web Development
Reply With Quote